diff -u -urN vpnclient-linux-4.0-gwdg/interceptor.c vpnclient-linux-4.0-te/interceptor.c
--- vpnclient-linux-4.0-gwdg/interceptor.c	Thu Apr 10 17:37:11 2003
+++ vpnclient-linux-4.0-te/interceptor.c	Tue Jun 17 09:58:07 2003
@@ -3,11 +3,19 @@
 ***************************************************************************
 *
 *  File:    interceptor.c
-*  Date:    04/10/2001
+*  Date:    04/10/2001 modified 05/04/2002
 *
 ***************************************************************************
 * This module implements the linux driver.
 ***************************************************************************/
+
+
+/* Dieses File gegen die Original interceptor.c austauchen. Danach File
+   editieren und nach "HIER AENDERN" suchen (kommt 2 mal im Source vor). 
+   Dort jeweils die Interfaces eintragen, die nicht deaktiviert werden sollen.
+*/
+
+
 #include <linux/version.h>
 #include <linux/config.h>
 #include <linux/autoconf.h>
@@ -128,7 +136,7 @@
     }
     if (status == 0) {
         printk(KERN_INFO "Cisco Systems VPN Client Version "
-               BUILDVER_STRING " kernel module loaded\n");
+               BUILDVER_STRING " kernel module loaded (no interface deactivating)\n");
     }
     return (status);
 }
@@ -315,6 +323,31 @@
         if (strcmp(LINUX_VPN_IFNAME, dp->name) == 0) {
             continue;
         }
+        
+        
+        
+        
+        /* HIER AENDERN: Die If-Schleife fuer alle Interfaces eintragen,
+                         die nicht deaktiviert werden sollen */
+        
+        
+           if (strcmp("wvlan1", dp->name) == 0) {
+               continue;
+           }
+           if (strcmp("eth0", dp->name) == 0) {
+               continue;
+           }
+           if (strcmp("eth0:1", dp->name) == 0) {
+               continue;
+           }
+        
+        /* Ende der Aenderungen */
+        
+        
+        
+        
+        
+        
         if (strcmp("lo", dp->name) == 0) {
             /*bind to loopback so we can inject UDP packets
              *for IPC, but don't change the xmit function
@@ -326,10 +359,6 @@
             continue;
         }
 
-        /* Don't handle non-eth non-ppp devices */
-        if(!supported_device(dp)) {
-            continue;
-        }
         if (num_target_devices >= MAX_INTERFACES) {
             printk(KERN_DEBUG "exceeded max network devices (%d) at dev %s",
                    MAX_INTERFACES, dp->name);
@@ -513,18 +542,33 @@
     struct ethhdr ppp_dummy_buf;
 
 
+    /* HIER AENDERN: Die If-Schleife fuer alle Interfaces eintragen,
+                         die nicht deaktiviert werden sollen */
+
+
+    if (strcmp("wvlan1", dev->name) == 0) {
+       rc2 = original_ip_handler.orig_handler_func(skb, dev, type);
+       goto exit_gracefully;
+    }
+    if (strcmp("eth0", dev->name) == 0) {
+       rc2 = original_ip_handler.orig_handler_func(skb, dev, type);
+       goto exit_gracefully;
+    }
+    if (strcmp("eth0:1", dev->name) == 0) {
+       rc2 = original_ip_handler.orig_handler_func(skb, dev, type);
+       goto exit_gracefully;
+    }
+
+    /* Ende der Aenderungen */
+
+
+
     if (strcmp("lo", dev->name) == 0) {
         /* grab the routing entry for loopback packets, in case we need
          * to send some later*/
         if (!BindingIpcUdp.dst) {
             BindingIpcUdp.dst = dst_clone(skb->dst);
         }
-        rc2 = original_ip_handler.orig_handler_func(skb, dev, type);
-        goto exit_gracefully;
-    }
-
-    /* Don't handle non-eth non-ppp packets */
-    if(!supported_device(dev)) {
         rc2 = original_ip_handler.orig_handler_func(skb, dev, type);
         goto exit_gracefully;
     }
